﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using System.IO;

namespace Audio_Video_Server_MVC.Controllers
{
    public class HomeController : Controller
    {
        // GET: Home
        public ActionResult Index()
        {
            //Fetch all files in the Folder (Directory).
            string[] filePaths = Directory.GetFiles(Server.MapPath("~/Files/"));

            //Copy File names and Mime type to generic list collection.
            List<SelectListItem> items = new List<SelectListItem>();
            foreach (string filePath in filePaths)
            {
                items.Add(new SelectListItem { Text = Path.GetFileName(filePath), Value = MimeMapping.GetMimeMapping(filePath) });
            }
            return View(items);
        }
    }
}